
From: <mikem@beardog.cca.cpqcorp.net>

This patch fixes a bug where /proc displays 1 less logical volume than is
actually configured.  This causes problems for some installers.


---

 25-akpm/drivers/block/cciss.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/cciss.c~cciss-proc-fix drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-proc-fix	Tue Apr  6 15:54:44 2004
+++ 25-akpm/drivers/block/cciss.c	Tue Apr  6 15:54:44 2004
@@ -210,7 +210,7 @@ static int cciss_proc_get_info(char *buf
 
         pos += size; len += size;
 	cciss_proc_tape_report(ctlr, buffer, &pos, &len);
-	for(i=0; i<h->highest_lun; i++) {
+	for(i=0; i<=h->highest_lun; i++) {
 		sector_t tmp;
 
                 drv = &h->drv[i];

_
